Jul 012013
 

Tweetnest_en_Twitter_API_1p1 Op dit moment kun je het haast als vuistregel gebruiken: als er een applicatie / webdienst / toepassing is die gebruik maakt van Twitter en die voorheen wél gewoon werkte en sinds een paar weken niet meer, dan ligt dat in 9 van de 10 gevallen aan de Twitter API.

Twitter heeft namelijk onlangs versie 1.0 van die API, waarmee applicaties o.a. tweets op kunnen halen uit je archief, uitgezet. Nu moet er gebruik gemaakt worden van versie 1.1 anders werkt een toepassing niet meer. Tweetnest was/is ook zo’n toepassing. Je kunt er een online archief van je tweets mee aanmaken/bijhouden. Dit was al zo in de tijd dat Twitter nog géén downloadbaar archief aanbood. Helaas heeft de tool nog geen import-optie voor zulke archieven, want dan zou ik mijn archief eindelijke compleet kunnen maken (ik heb de tool geïnstalleerd toen ik al meer dan 3.200 tweets had).

Hoe dan ook, Tweetnest stopte met werken toen Twitter versie 1.0 van de API uitzette. En de ontwikkelaar gaf aan nog even geen tijd te hebben om de applicatie aan te passen aan versie 1.1.
Gelukkig was er een andere gebruiker/ontwikkelaar die er wel tijd voor had. Je kunt hem hier downloaden. Ik heb voor de zekerheid gewoon een aparte map gebruikt en daar de bestanden in gezet, toen een kopie/backup van de database gemaakt en de setup gedraaid op die backup. Het ging allemaal probleemloos (maar toch gewoon even op safe spelen!!).
Als je gebruik maakt van een andere map, vergeet dan ook niet de cronjobs aan te passen zodat de updates ook uitgevoerd worden op basis van de nieuwe code.

Deel dit bericht:

  Een reactie aan “Tweetnest gebruiken met Twitter API 1.1”

Reacties (1)
  1. Dank voor de tip! Binnenkort even de tijd voor nemen want heel erg thuis met kopietjes maken van databases en die dan gebruiken ben ik eerlijk gezegd niet.:)

Sorry, het reactieformulier is momenteel gesloten.